﻿local mod = RW:Boss("Beauty", "Party - Cataclysm", "Blackrock Caverns")
local L

mod.type = "party"

mod.BossIcon = [[Interface\ICONS\Achievement_Dungeon_BlackrockCaverns_Beauty]]

---------------------------
-- Variables

-- Fear
local tFearCD

-- Charge
local tChargeCD

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(39700, 40008, 40011, 40013)
	self:SetWin()
	
	tFearCD			= mod:CDTimer(30, 76028)
	
	tChargeCD		= mod:CDTimer(15, 76030)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Fear", 76028)
	self:Track("Charge", 76030)
	
	tFearCD:Start()
	tChargeCD:Start()
end

function mod:Fear(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tFearCD:Start()
	end
end

function mod:Charge(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tChargeCD:Start()
	end
end
